@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Display:ital@0;1&family=Jost:ital,wght@0,100..900;1,100..900&family=Oswald:wght@200..700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "DM Serif Display", serif;
    background-image: url(assets/images/background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    min-height: 100vh;
    padding: 1.5rem;
}

.container{
    max-width: 50rem;
    margin: auto;
    background-color: rgba(131, 129, 129, 0.226);
    padding: 3rem;
    border-radius: 3rem;
    backdrop-filter: blur(0.5rem);
}


h1{
    text-align: center;
    font-size: 3rem;
    color: #2c3e50;
   
    
}

#taskForm{
    display: flex;
    flex-direction: column;
    gap: 1rem; 
    margin-bottom: 1rem; 
    padding: 1.5rem;
    border-radius: 0.6rem; 
}

#taskForm input,
#taskForm textarea {
    padding: 1rem; 
    font-size: 1rem; 
    border: 0.2rem solid #ddd; 
    border-radius: 1rem; 
    background: white;
    font-family:"DM Serif Display", serif;
}


#taskForm button {
    padding: 1rem; 
    font-size: 1rem; 
    background-color:#016eb7;
    color: white;
    border-radius: 0.5rem; 
    cursor: pointer;
    font-weight: bold;
    border: none;
    margin-top: 3rem;
}

#taskForm button:hover {
    background-color: palevioletred;
}

footer{
    text-align: center;
    margin-top: 3rem;
    font-size: 1rem;
}
#taskList {
    display: grid; 
    gap: 2rem; 
    margin-top: 4rem;
}

.taskCard{
    background-color: rgba(234, 233, 233, 0.907);
    border: 0.2rem solid rgba(0, 0, 0, 0.1);
    border-radius: 1rem;
    padding: 1.5rem;
}

.taskCard:hover{
    background-color: rgba(228, 94, 157, 0.93);
}

.taskCard h3{
    margin: 0 0 0.5rem 0;
    color: #2c3e50;
    font-size: 1.5rem;
}

.taskCard h4{
    margin: 0 0 0.5rem 0;
    color: #7f8c8d;
    font-size:  1rem;
}

.taskCard p {
    margin: 0 0 1rem 0;
    color: gray;

}

.taskInfo{
    font-size: 1rem;
    color: #323535;
    margin-bottom: 1rem;
}

.taskActions label {
    display: flex;
    cursor: pointer;
    color: #ffffff;
    align-items: center;
    margin-bottom: 0.5rem;
    font-size: 0.9rem;
}

.taskActions input[type="checkbox"]{
    width: 1.3rem;
    height: 1.2rem;
    cursor: pointer;
}

.deleteButton{
    padding: 1rem;
    color: white;
    background-color:#016eb7;
    border-radius: 0.5rem;
    cursor: pointer;
    font-weight: bold;
    border: none;
}

.deleteButton:hover{
    background-color: palevioletred;
}

.taskCard.completed{
    background-color: rgba(96, 95, 95, 0.198);
}

.taskCard.completed h3,
.taskCard.completed h4,
.taskCard.completed p{
    text-decoration: line-through;
    color: #95a5a6;
}

